Chisel(Constructing Hardware In a Scala Embedded Language)是UC Berkeley开发的一种开源硬件构造语言。
站长xddcore有话说:在我大二的时候,因为项目需要,接触了Chisel。在体验过后,我被它深深的吸引了。我幻想着它十年后的样子,充满希望。于是创建了这个博客,让更多人的了解Chisel,学习Chisel。

【首发-长期更新】为jetson nano安装tensorflow2.0及其相关包

内容纲要
Reading Time: 2 minutes

在楼主写这篇教程贴的时候,距离tensorflow2.0发布已过去近6个月了。楼主在高三暑假时购入了jetson nano,但是由于学业比较繁忙,所以板子一直吃灰了。大一寒假正好时间比较多,所以开始继续折腾jetson nano了。并将自己学习jetson nano时的经验进行分享。这样既方便自己后期溯源,又能方便对jetson nano感兴趣的人快速入门,少走弯路。

开源地址:

gitee:www.gitee.com/xddcore/Jetson_Nano

github:www.github.com/xddcore/Jetson_Nano

PS:本篇教程基于目前(2020.1.20)我上传在gitee的教程整理,如需最新教程和代码,还请访问gitee或github。(喜欢的朋友可以点个Star呀,疯狂暗示)

教程正文开始(请大家原谅我三脚猫的英语水平QAQ)

tensorflow 2.0 pack

How to get tensorflow_gpu-2.0.0+nv19.11-cp36-cp36m-linux_aarch64.whl?

链接:https://pan.baidu.com/s/19YReceD2QxgcUwmxgZBqdA
提取码:o2yh

How to ues?

pip3 install tensorflow_gpu-2.0.0+nv19.11-cp36-cp36m-linux_aarch64.whl --user

PS:

0.The python version is must be 3.6

1.The pip version is must be 19.3.1

2.The python setuptools version is must be >=41.0.0

3.The pyasn1-moduled version is must be >=0.2.1

4.The grpcio version is must be >=1.24.3

These have some information to help your achieve above software's evironment:

if your don't have pip,you need run:

sudo apt-get install python3-pip python3-dev

if your pip version is too low, you can run:

pip install --upgrade pip --user

and then 1:

sudo vim /usr/bin/pip3

modified file to:

#!/usr/bin/python3
# GENERATED BY DEBIAN

import sys

# Run the main entry point, similarly to how setuptools does it, but because
# we didn't install the actual entry point from setup.py, don't use the
# pkg_resources API.
from pip import __main__
if __name__ == '__main__':
    sys.exit(__main__._main())

and then 2:

sudo vim /usr/local/bin/pip3

modified file to:

#!/usr/bin/python3

# -*- coding: utf-8 -*-
import re
import sys

from pip import __main__

if __name__ == '__main__':
    sys.argv[0] = re.sub(r'(-script\.pyw?|\.exe)?$', '', sys.argv[0])
    sys.exit(__main__._main())

If you run:

pip3 -V

and the terminal print:

pip 19.3.1 from xxxxx #the xxxxx is your url

and the pip 19.3.1 install is success!

if your python setuptools version is too low,you can run:

pip3 install --upgrade setuptools --user

and then the setuptools will be upgrade!

if your pyasn1-modules version is too low,you can run:

pip3 install --upgrade pyasn1-modules --user

and then the pyasn1-modules will be upgrade!

if your grpcio version is too low,you can run:

pip3 install --upgrade grpcio --user

and then the grpcio will be upgrade!

In the end, When you finish above step,and then enter code in terminal:

python3
import tensorflow as tf
tf.__version__

The terminal will print:

'2.0.0'

that mean you success install tensorflow2.0

Good luck!

Share

xddcore

xddcore www.github.com/xddcore

You may also like...

发表回复

您的电子邮箱地址不会被公开。